ELDefinitionTag (Struts EL 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.tiles
Class ELDefinitionTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.struts.tiles.taglib.DefinitionTagSupport
              org.apache.struts.tiles.taglib.DefinitionTag
                  org.apache.strutsel.taglib.tiles.ELDefinitionTag

All Implemented Interfaces:
  Serializable, IterationTag, Tag, PutListTagParent, PutTagParent

    public class ELDefinitionTag

extends DefinitionTag

This is the tag handler for <tiles:definition>, which defines a tiles (or template / component). Definition is put in requested context and can be used in <tiles:insert>.

This class is a subclass of the class `org.apache.struts.taglib.tiles.DefinitionTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.tiles.taglib.DefinitionTagSupport
`controllerName, controllerType, page, role`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELDefinitionTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getExtendsExpr()` Getter method for "extends" tag attribute.
`String` | `getIdExpr()` Getter method for "id" tag attribute.
`String` | `getPageExpr()` Getter method for "page" tag attribute.
`String` | `getRoleExpr()` Getter method for "role" tag attribute.
`String` | `getScopeExpr()` Getter method for "scope" tag attribute.
`String` | `getTemplateExpr()` Getter method for "template" tag attribute.
`void` | `release()` Resets attribute values for tag reuse.
`void` | `setExtendsExpr(String extendsExpr)` Setter method for "extends" tag attribute.
`void` | `setIdExpr(String idExpr)` Setter method for "id" tag attribute.
`void` | `setPageExpr(String pageExpr)` Setter method for "page" tag attribute.
`void` | `setRoleExpr(String roleExpr)` Setter method for "role" tag attribute.
`void` | `setScopeExpr(String scopeExpr)` Setter method for "scope" tag attribute.
`void` | `setTemplateExpr(String templateExpr)` Setter method for "template" tag attribute.

Methods inherited from class org.apache.struts.tiles.taglib.DefinitionTag
`doEndTag, getExtends, getId, getScope, processNestedTag, processNestedTag, putAttribute, releaseInternal, setExtends, setId, setScope`

Methods inherited from class org.apache.struts.tiles.taglib.DefinitionTagSupport
`getControllerName, getControllerType, getPage, getRole, getTemplate, setController, setControllerClass, setControllerName, setControllerType, setControllerUrl, setPage, setRole, setTemplate`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ELDefinitionTag

    public ELDefinitionTag()

Method Detail

### getIdExpr

    public String getIdExpr()

  Getter method for "id" tag attribute. (Mapping set in associated BeanInfo class.)

### getScopeExpr

    public String getScopeExpr()

  Getter method for "scope" tag attribute. (Mapping set in associated BeanInfo class.)

### getTemplateExpr

    public String getTemplateExpr()

  Getter method for "template" tag attribute. (Mapping set in associated BeanInfo class.)

### getPageExpr

    public String getPageExpr()

  Getter method for "page" tag attribute. (Mapping set in associated BeanInfo class.)

### getRoleExpr

    public String getRoleExpr()

  Getter method for "role" tag attribute. (Mapping set in associated BeanInfo class.)

### getExtendsExpr

    public String getExtendsExpr()

  Getter method for "extends" tag attribute. (Mapping set in associated BeanInfo class.)

### setIdExpr

    public void setIdExpr(String idExpr)

  Setter method for "id" tag attribute. (Mapping set in associated BeanInfo class.)

### setScopeExpr

    public void setScopeExpr(String scopeExpr)

  Setter method for "scope" tag attribute. (Mapping set in associated BeanInfo class.)

### setTemplateExpr

    public void setTemplateExpr(String templateExpr)

  Setter method for "template" tag attribute. (Mapping set in associated BeanInfo class.)

### setPageExpr

    public void setPageExpr(String pageExpr)

  Setter method for "page" tag attribute. (Mapping set in associated BeanInfo class.)

### setRoleExpr

    public void setRoleExpr(String roleExpr)

  Setter method for "role" tag attribute. (Mapping set in associated BeanInfo class.)

### setExtendsExpr

    public void setExtendsExpr(String extendsExpr)

  Setter method for "extends" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Resets attribute values for tag reuse.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `DefinitionTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `DefinitionTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.